{***************************************************************************}
{                      UNIDAD DE KEYBOARD BIOS SERVICES

                                  Copyright (c) 1998 Marco Antonio Alvarado
}
{***************************************************************************}

UNIT UKBS;

INTERFACE

  PROCEDURE LeeTecla (VAR Codigo, Simbolo : Byte);

IMPLEMENTATION

  CONST
    InterrupcionTeclado = $16;
    FuncionLeeTecla = $10;
    FuncionTomaEstado = $11;

  PROCEDURE LeeTecla (VAR Codigo, Simbolo : Byte); ASSEMBLER;

    LABEL
      Ausente, Fin;

  ASM
    MOV AH, FuncionTomaEstado
    INT InterrupcionTeclado
    JZ Ausente
    MOV AH, FuncionLeeTecla
    INT InterrupcionTeclado
    LES DI, Codigo
    MOV ES:Byte PTR [DI], AH
    LES DI, Simbolo
    MOV ES:Byte PTR [DI], AL
    JMP Fin

    Ausente:

    LES DI, Codigo
    MOV ES:Byte PTR [DI], 0
    LES DI, Simbolo
    MOV ES:Byte PTR [DI], 0

    Fin:

  END;

END.